﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;

namespace SilverlightApplication1
{
	public partial class MainPage : UserControl
	{
		private Families families = new Families();
		public MainPage()
		{
			InitializeComponent();
			this.panelBar1.ItemsSource = this.families;
		}

		private void Button_Click(object sender, RoutedEventArgs e)
		{
			this.Search();
		}

		private void nameTextBox_KeyDown(object sender, KeyEventArgs e)
		{
			if (e.Key == Key.Enter)
			{
				this.Search();
			}
		}

		private void Search()
		{
			if (this.nameTextBox.Text == string.Empty)
			{
				MessageBox.Show("Please enter the name of the member of family you wish to select!");
				return;
			}

			string name = this.nameTextBox.Text;

			foreach (Family family in this.families)
			{
				if (family.Name.ToLower() == name.ToLower())
				{
					family.IsSelected = true;
					family.IsExpanded = true;
					return;
				}

				foreach (Member member in family.Members)
				{
					if (member.Name.ToLower() == name.ToLower())
					{
						family.IsExpanded = true;
						member.IsSelected = true;
						return;
					}
				}
			}

			MessageBox.Show("Member or family not found!");
		}
	}
}
